## GoObject

GoObject

## Synopsis

    gpointer            go_object_new                       (char const *type,
                                                             char const *first_prop,
                                                             ...);
    gpointer            go_object_new_valist                (char const *type,
                                                             char const *first_prop,
                                                             va_list vargs);
    #define             GO_SERVICE_OBJECT_TYPE
    #define             GO_SERVICE_OBJECT                   (o)
    #define             IS_GO_SERVICE_OBJECT                (o)
                        GOServiceObject;
    GType               go_service_object_get_type          (void);
    charconst   *       go_service_object_primary_type      (GOServiceObject const *service);
    GSListconst *       go_service_object_interfaces        (GOServiceObject const *service);

## Description

## Details

### go_object_new ()

    gpointer            go_object_new                       (char const *type,
                                                             char const *first_prop,
                                                             ...);

`type` : |
`first_prop` : |
`...` : |
Returns : |

### go_object_new_valist ()

    gpointer            go_object_new_valist                (char const *type,
                                                             char const *first_prop,
                                                             va_list vargs);

`type` : |
`first_prop` : |
`vargs` : |
Returns : |

### GO_SERVICE_OBJECT_TYPE

    #define GO_SERVICE_OBJECT_TYPE  (go_service_object_get_type ())

### GO_SERVICE_OBJECT()

    #define GO_SERVICE_OBJECT(o)    (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_SERVICE_OBJECT_TYPE, GOServiceObject))

`o` : |

### IS_GO_SERVICE_OBJECT()

    #define IS_GO_SERVICE_OBJECT(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_SERVICE_OBJECT_TYPE))

`o` : |

### GOServiceObject

    typedef struct _GOServiceObject GOServiceObject;

### go_service_object_get_type ()

    GType               go_service_object_get_type          (void);

Returns : |

### go_service_object_primary_type ()

    charconst   *       go_service_object_primary_type      (GOServiceObject const *service);

`service` : |
Returns : |

### go_service_object_interfaces ()

    GSListconst *       go_service_object_interfaces        (GOServiceObject const *service);

`service` : |
Returns : |